Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAccessibleScrollView Class Reference

The QAccessibleScrollView class implements the QAccessibleInterface for scrolled widgets. More...

    #include <QAccessibleScrollView>

Inherits QAccessibleWidget.

- List of all members, including inherited members

### Public Functions

- QAccessibleScrollView ( QWidget * w, Role role )
- virtual int itemAt ( int x, int y ) const
- virtual int itemCount () const
- virtual QRect itemRect ( int item ) const

- 15 public functions inherited from QAccessibleInterface

### Static Public Members

- 8 static public members inherited from QAccessible

### Protected Functions

- 7 protected functions inherited from QAccessibleWidget

## Detailed Description

The QAccessibleScrollView class implements the QAccessibleInterface for scrolled widgets.

## Member Function Documentation

### QAccessibleScrollView::QAccessibleScrollView ( QWidget * w, Role role )

Constructs a QAccessibleScrollView object for a widtet, w. The role is propagated to the QAccessibleWidget constructor.

### int QAccessibleScrollView::itemAt ( int x, int y ) const `[virtual]`

Returns the ID of the item at viewport position x, y.

### int QAccessibleScrollView::itemCount () const `[virtual]`

Returns the number of items.

### QRect QAccessibleScrollView::itemRect ( int item ) const `[virtual]`

Returns the location in viewport coordinates of the item with ID item.